
From: Paul Mackerras <paulus@samba.org>

This patch from Julie DeWandel exports the symbol itLpNaca on iSeries
machines, for the use of the viodasd driver.


---

 25-akpm/arch/ppc64/kernel/ppc_ksyms.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/ppc64/kernel/ppc_ksyms.c~export-itLpNaca-on-iSeries arch/ppc64/kernel/ppc_ksyms.c
--- 25/arch/ppc64/kernel/ppc_ksyms.c~export-itLpNaca-on-iSeries	2004-04-07 21:09:51.274344056 -0700
+++ 25-akpm/arch/ppc64/kernel/ppc_ksyms.c	2004-04-07 21:09:51.278343448 -0700
@@ -42,6 +42,7 @@
 #include <asm/cacheflush.h>
 #ifdef CONFIG_PPC_ISERIES
 #include <asm/iSeries/HvCallSc.h>
+#include <asm/iSeries/LparData.h>
 #endif
 
 extern int do_signal(sigset_t *, struct pt_regs *);
@@ -71,6 +72,9 @@ EXPORT_SYMBOL(__down_interruptible);
 EXPORT_SYMBOL(__up);
 EXPORT_SYMBOL(naca);
 EXPORT_SYMBOL(__down);
+#ifdef CONFIG_PPC_ISERIES
+EXPORT_SYMBOL(itLpNaca);
+#endif
 
 EXPORT_SYMBOL(csum_partial);
 EXPORT_SYMBOL(csum_partial_copy_generic);

_
